<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>zi-wms-fpcd-server</artifactId>
        <groupId>com.zxy.idm</groupId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>zi-wms-boot</artifactId>
    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <start-class>com.zi.mwms.solution.Application</start-class>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-log4j2</artifactId>
        </dependency>
        <dependency>
            <groupId>com.lmax</groupId>
            <artifactId>disruptor</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zidm-frame-autoconfigure</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-amqp</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-activemq</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.messaginghub</groupId>
                    <artifactId>pooled-jms</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zidm-flow-engine</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-client</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-pda</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-label</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-inf</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-schedule</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-service</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-yard</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-generic</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-transport</artifactId>
        </dependency>

        <dependency>
            <groupId>com.oracle.ojdbc</groupId>
            <artifactId>ojdbc8</artifactId>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.postgresql</groupId>
            <artifactId>postgresql</artifactId>
        </dependency>
    </dependencies>
    <build>
        <plugins>

            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <encoding>utf-8</encoding>
                    <!-- <compilerArgument>-proc:only</compilerArgument> -->
                    <compilerArgument>-XDignore.symbol.file</compilerArgument>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.7.15</version>
                <configuration>
                    <mainClass>${start-class}</mainClass>
                    <layout>ZIP</layout>
                    <fork>true</fork>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>